# Class ExecutionControl.RunException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jdk.jshell.spi.ExecutionControl.ExecutionControlException
jdk.jshell.spi.ExecutionControl.RunException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ExecutionControl.ResolutionException, ExecutionControl.StoppedException, ExecutionControl.UserException`

Enclosing interface:
  `ExecutionControl`

public abstract static class ExecutionControl.RunException extends ExecutionControl.ExecutionControlException
The abstract base of of exceptions specific to running user code.

Since:
  9
See Also:
  - Serialized Form

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`